Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.signers
Class SM2Signer

    java.lang.Object
      org.bouncycastle.crypto.signers.SM2Signer

All Implemented Interfaces:
  ECConstants, Signer

public class SM2Signer
extends java.lang.Object
implements Signer, ECConstants

The SM2 Digital Signature algorithm.

Field Summary

Fields inherited from interface org.bouncycastle.math.ec.ECConstants
`EIGHT, FOUR, ONE, THREE, TWO, ZERO`

Constructor Summary
`SM2Signer()`
`SM2Signer(Digest digest)`
`SM2Signer(DSAEncoding encoding)`
`SM2Signer(DSAEncoding encoding, Digest digest)`

Method Summary
`protected java.math.BigInteger` | `calculateE(java.math.BigInteger n, byte[] message)`
`protected ECMultiplier` | `createBasePointMultiplier()`
`byte[]` | `generateSignature()` generate a signature for the message we've been loaded with using the key we were initialised with.
`void` | `init(boolean forSigning, CipherParameters param)` Initialise the signer for signing or verification.
`void` | `reset()` reset the internal state
`void` | `update(byte b)` update the internal digest with the byte b
`void` | `update(byte[] in, int off, int len)` update the internal digest with the byte array in
`boolean` | `verifySignature(byte[] signature)` return true if the internal state represents the signature described in the passed in array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SM2Signer

    public SM2Signer()

### SM2Signer

    public SM2Signer(Digest digest)

### SM2Signer

    public SM2Signer(DSAEncoding encoding)

### SM2Signer

    public SM2Signer(DSAEncoding encoding,
                     Digest digest)

Method Detail

### init

    public void init(boolean forSigning,
                     CipherParameters param)

  Description copied from interface: `Signer`
  Initialise the signer for signing or verification.

  Specified by:
    `init` in interface `Signer`
  Parameters:
    `forSigning` - true if for signing, false otherwise
    `param` - necessary parameters.

### update

    public void update(byte b)

  Description copied from interface: `Signer`
  update the internal digest with the byte b

  Specified by:
    `update` in interface `Signer`

### update

    public void update(byte[] in,
                       int off,
                       int len)

  Description copied from interface: `Signer`
  update the internal digest with the byte array in

  Specified by:
    `update` in interface `Signer`

### verifySignature

    public boolean verifySignature(byte[] signature)

  Description copied from interface: `Signer`
  return true if the internal state represents the signature described in the passed in array.

  Specified by:
    `verifySignature` in interface `Signer`

### reset

    public void reset()

  Description copied from interface: `Signer`
  reset the internal state

  Specified by:
    `reset` in interface `Signer`

### generateSignature

    public byte[] generateSignature()
                             throws CryptoException

  Description copied from interface: `Signer`
  generate a signature for the message we've been loaded with using the key we were initialised with.

  Specified by:
    `generateSignature` in interface `Signer`
  Throws:
    `CryptoException`

### createBasePointMultiplier

    protected ECMultiplier createBasePointMultiplier()

### calculateE

    protected java.math.BigInteger calculateE(java.math.BigInteger n,
                                              byte[] message)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD